#2625 closed enhancement (fixed)

Use one lookup tree per-thread for the POSIX keys

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Currently a global lookup tree is used for all the POSIX key/value pairs. On SMP configurations this is a bottleneck. Use one lookup tree per thread instead.

Change History (4)

comment:1 Changed on Mar 18, 2016 at 6:47:40 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 5eaf0e7458bac80ba669f03c4feaae5bad55c6c9/rtems:

posix: Use per-thread lookup tree for POSIX Keys

Yields higher performance on SMP systems.

Close #2625.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.